# enable_gtkdoc: Toggle whether gtkdoc stuff should be rebuilt
#      0 = No
#      1 = Yes
%define enable_gtkdoc	1

# Define biarch packages
%define biarches_32 %{ix86}
%define biarches_64 x86_64
%define query_modules_suffix %{nil}
%ifarch %{biarches_32}
%define query_modules_suffix -32
%endif
%ifarch %{biarches_64}
%define query_modules_suffix -64
%endif
%define query_modules pango-querymodules%{query_modules_suffix}


# Version of libraries required
%define req_glib_version       2.6.0
%define req_freetype2_version  2.1.3-4mdk
%define req_fontconfig_version  2.1-4mdk
%define req_cairo_version  0.9.2

%define api_version	1.0
%define module_version	1.4.0
%define lib_major	0
%define lib_name    %mklibname %{name} %{api_version} %{lib_major}

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	1.10.0
Release:	3mdk
License:	LGPL
Group:		System/Internationalization
URL:		http://www.pango.org/
BuildRequires: glib2-devel >= %{req_glib_version} 
BuildRequires: freetype2-devel >= %{req_freetype2_version}
BuildRequires: libXft2-devel >= 2.0
BuildRequires: pkgconfig >= 0.8
BuildRequires: fontconfig-devel >= %{req_fontconfig_version}
%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.10
BuildRequires: libxslt-proc docbook-style-xsl
BuildRequires: automake1.8
BuildRequires: cairo-devel >= %{req_cairo_version}
%endif
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pango/%{name}-%{version}.tar.bz2
# (fc) 1.2.0-3mdk add support for slighthint
Patch2:		pango-1.2.2-slighthint.patch.bz2
# (gb) 1.4.0-2mdk biarch support
Patch5:		pango-1.2.5-lib64.patch.bz2
# (fc) 1.10.0-2mdk fix underline (CVS)
Patch6:		pango-1.10.0-fixunderline.patch.bz2
# (fc) 1.10.0-3mdk various bugfixes (CVS)
Patch7:		pango-1.10.0-cvsfixes.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root


%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name} 
Summary: %{summary}
Group:   %{group}
Provides:	lib%{name}%{api_version} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} = %{version}
Requires: freetype2 >= %{req_freetype2_version}
Requires: fontconfig >= %{req_fontconfig_version}
Requires:      %{lib_name}-modules = %{version}

%package -n %{lib_name}-modules
Summary:	%{summary}
Group:		%{group}
#need this since we launch pango-querymodules in %post
Requires(post):                %{lib_name} = %{version}
Provides:	pango-modules = %{version}-%{release}

%description -n %{lib_name}-modules
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%description -n %{lib_name}
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name}-devel
Summary:  %{summary}
Group: Development/GNOME and GTK+
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{name} = %{version}
Requires:	%{lib_name} = %{version}
Requires:	libglib2.0-devel >= %{req_glib_version}
Requires:	freetype2-devel >= %{req_freetype2_version}

%description -n %{lib_name}-devel
The pango-devel package includes the static libraries and header files
for the pango package.

Install pango-devel if you want to develop programs which will use
pango.

%prep
%setup -q
%patch2 -p1 -b .slighthint
%patch5 -p1 -b .lib64
%patch6 -p1 -b .fixunderline
%patch7 -p1 -b .cvsfixes

#needed by patch5
aclocal-1.8
automake-1.8

%build

%configure2_5x \
	--enable-static=no \
%if %enable_gtkdoc
	--enable-gtk-doc=yes \
%endif

%make ARCH=%{_arch}
make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pango/%{_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/pango/%{_arch}/pango.modules

%ifarch %{biarches_32} %{biarches_64}
mv $RPM_BUILD_ROOT%{_bindir}/pango-querymodules $RPM_BUILD_ROOT%{_bindir}/%{query_modules}
%endif

cp -f pango/opentype/README README.opentype

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/pango/%{module_version}/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name}-modules
if [ "$1" = "2" -a -r  %{_sysconfdir}/pango/pango.modules ]; then
  rm -f %{_sysconfdir}/pango/pango.modules 
fi
%{_bindir}/%{query_modules} > %{_sysconfdir}/pango/%{_arch}/pango.modules

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS TODO* examples/pangorc README.opentype
%doc NEWS ChangeLog
%doc %{_datadir}/gtk-doc/html/pango
%ifnarch %{biarches_32} %{biarches_64}
%{_bindir}/pango-querymodules
%endif
%{_mandir}/man1/*
%dir %{_sysconfdir}/pango
%config(noreplace) %{_sysconfdir}/pango/pango*.aliases

%files -n %{lib_name}-modules
%defattr(-, root, root)
%ifarch %{biarches_32} %{biarches_64}
%{_bindir}/pango-querymodules-*
%endif
%dir %{_libdir}/pango
%dir %{_libdir}/pango/%{module_version}
%dir %{_libdir}/pango/%{module_version}/modules
%{_libdir}/pango/%{module_version}/modules/*.so
%dir %{_sysconfdir}/pango/%{_arch}
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/pango/%{_arch}/pango.modules

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libpango-*.so.*
%{_libdir}/libpangoft2-*.so.*
%{_libdir}/libpangox-*.so.*
%{_libdir}/libpangoxft-*.so.*
%{_libdir}/libpangocairo*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/libpango-*.so
%{_libdir}/libpangox-*.so
%{_libdir}/libpangoxft-*.so
%{_libdir}/libpangoft2-*.so
%{_libdir}/libpangocairo*.so
%{_libdir}/pkgconfig/*
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Mon Sep 12 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-3mdk 
- Patch7 (CVS): various bugfixes

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-2mdk 
- Patch6 (CVS): fix underline

* Tue Aug 16 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-1mdk 
- Release 1.10.0

* Wed Jul 27 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdk
- fix some deps
- make it rpmbuildupdatable
- New release 1.8.2

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.1-1mdk 
- Release 1.8.1
- Remove patch6 (merged upstream)

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.0-3mdk
- move pango docs to pango package, which is req'ed by *-devel

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-2mdk 
- Patch6 (CVS): fix text rotation (needed by gnumeric)

* Thu Dec 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-1mdk 
- Release 1.8.0
- Remove patches 6, 7, 8, 9, 10 (merged upstream)

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.0-1mdk
- Release 1.6.0
- Patch6 (Fedora): fix metrics for bitmap fonts
- Patch7 (Fedora): fix display of unicode U3000 glyph
- Patch8 (Fedora): fix metrics in ja_JP with latin text
- Patch9 (Fedora): disable backspace_deletes_character for hangul and hiragana
- Patch10 (Fedora): fix attribute length

* Mon Oct 11 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.1-2mdk
- generate pango.modules from -modules package

* Tue Aug  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- new version

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-8mdk
- Argg, really really fix dependencies this time

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-7mdk
- Really fix dependencies

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-6mdk
- Add another dependency for biarch 

* Fri Jul 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-5mdk
- Enforce automake 1.8 (to respect policy)
- Rebuild to get correct .pc files (previous one were incorrect)

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-4mdk
- Enable libtoolize
- Don't force automake 1.7 

* Mon May 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-3mdk
- Fix biarch support
- Remove trigger, use test in post instead

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- Patch5 (gb): add support for biarch (sync with AMD64)

* Thu Apr 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- remove patches 3 (no longer relevant), 4 (merged upstream)

* Tue Dec 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-3mdk
- Patch4 (CVS): fix build with latest freetype

* Wed Sep 03 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.5-2mdk
- fix for Thai shaping

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-1mdk
- Release 1.2.5
- Remove patch3 (merged upstream)

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- Release 1.2.4
- Remove patches 0 & 1 (obsoletes)
- Patch3 (CVS): Add mprefixups.[ch] to xft_sources as well as ft2_sources

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-2mdk
- rebuild

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.3-1mdk
- Release 1.2.3

* Wed Jun  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.2-1mdk
- Release 1.2.2
- Update patch 2

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.1-2mdk
- mklibnamification

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1
- Remove patch3 (merged upstream)

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk
- Patch3 (CVS): synthesize GDEF tables for fonts without them,
  like the Kacst fonts in fonts-arabic

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- Patch2 (rawhide): add support for light hinting

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk
- Rebuild against Xft2 from XF 4.2.99

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0 
- various fixes from Qun <kelk1@hotmail.com> :
 - Regenerate patch0 
 - Patch1 : build pango-viewer with qt3-3.1.1

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- Release 1.1.6

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

* Tue Dec  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-1mdk
- Release 1.1.4

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Remove patch1 (no longer needed with freetype 2.1.3)

* Tue Nov  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.3-1mdk
- Release 1.1.3 (Xft2/fontconfig support)
- Disable gtk doc regeneration
- Patch1 (rawhide): add support for FC_HINT_STYLE

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5
- Requires freetype 2.1.2 or better

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Fix dependencies in -devel package (Laurent Culioli)

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- No longer build viewer by default

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Fix dependencies on glib

* Fri Apr  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Add explicit dependency on freetype 2 >= 2.0.9 (GUADEC Powered)

* Thu Apr  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1 (GUADEC Powered :)

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0 (merge work done by Abel Cheung)
- Disable parallel compilation (broken)
- Officially don't support external fribidi library
- Reorganized version / lib major stuff
- Add enable_gtkdoc variable
- Disable building static lib: wrong pangoft2.pc will be generated


* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.24-1mdk
- Release 0.24

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-1mdk
- Release 0.23
- Remove patch1 (merged upstream)

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-3mdk
- Fix glib dependencies

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-2mdk
- Clean specfile with help from Abel Cheung <maddog@linux.org.hk> :
 - Patch0: Enable building with external fribidi
 - Patch1: Support of Japanese and traditional Chinese from bugzilla
 - Add a few doc
 - Add enable_viewer variable to toggle building pango-viewer
 - Add external_fribidi variable to toggle between using internal
   or external fribidi library
 - Removed various unnecessary Obsoletes
 - BuildRequires libqt2-devel only if viewer is enabled
 - Added missing %%build

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-1mdk
- Release 0.22

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-2mdk
- Fix obsoletes/provide for pango-devel

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-1mdk
- Release 0.21
- Libification

* Wed Oct 17 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.20-1mdk
- updated version
- updated buildrequires

* Thu Aug 02 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-5mdk
- rebuild with aclocal/autoconf

* Fri Jul 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.17-4mdk
- BuildRequires:	libglib1.3_6-devel

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-3mdk
- relink with glib

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.17-1mdk
- updated to 0.17
- added docs to the devel package

* Wed May 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-5mdk
- corrected the config files

* Fri May 11 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.16-4mdk
- Rebuild for the newest 1.3.5 glib libraries.
- fixed the problem with the missing /var/lib/pango

* Thu May 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-3mdk
- rm -rf $RPM_BUILD_ROOT at %%install to make sure everytime we install a 
  new and shiny and freshly compiled pango.
- Split out the pango-viewer so we don't have to have Qt installed
  in order to use Pango.

* Thu May 10 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-2mdk
- Rebuild for the newest 1.3.5 glib libraries.

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.16-1mdk
- Version 0.16 for Gtk+ 1.3.

* Sun Apr 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-6mdk
- fix %%post

* Thu Feb 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9-5mdk
- Change the URL in the Source tag.
- Use of the %%configure macro.

* Wed Jan 17 2001 David BAUDNS <baudens@mandrakesoft.com> 0.9-4mdk
- BuildRequires: libfribidi0-devel
- Spec clean up

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-3mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- fix % post (was writing to %/var/lib/pango instead of /var/lib/pango)

* Sat Apr 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- corrected conflicts in %files section
- added orphaned directories & files 

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.8-1mdk
- Initial Mandrake Release
- spec-helper
- fixed groups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file
